Bug 252746 - games/nwndata: Replace dependency variable with USES
Summary: games/nwndata: Replace dependency variable with USES
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-16 18:06 UTC by Sean Farley
Modified: 2021-01-20 08:02 UTC (History)
1 user (show)

See Also:


Attachments
Patch to games/nwndata (1.38 KB, patch)
2021-01-16 18:06 UTC, Sean Farley
scf: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sean Farley freebsd_committer 2021-01-16 18:06:42 UTC
Created attachment 221637 [details]
Patch to games/nwndata

This does not change anything regarding the actual install.  Basically, only a few changes to the Makefile:
- Replace EXTRACT_DEPENDS with USES for 7z extraction.
- Use P7ZIP_CMD instead of 7z directly.
- Delint Makefile a bit.
Comment 1 Fernando Apesteguía freebsd_committer 2021-01-18 17:49:41 UTC
^Triage: Reporter is committer, assign accordingly.

^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval.
--
Attachment -> Details -> maintainer-approval [+]

Q/A: Makefile: "USES" has to appear earlier.

Thanks!
Comment 2 Sean Farley freebsd_committer 2021-01-18 19:14:16 UTC
(In reply to Fernando Apesteguía from comment #1)
Thank you.  I added the "+" to the patch.

A couple of questions:
- I cannot find a good placement for the USES in this port.  7z is only needed if the CD contains a specific file, otherwise, the install will use a different file (tar.gz) for its contents.  Any suggestions?
- My src bit is in safe keeping.  I am an alumni.  Should it still be assigned to me?
Comment 3 Fernando Apesteguía freebsd_committer 2021-01-18 21:50:40 UTC
(In reply to Sean Farley from comment #2)
Hi Sean,

Having a look at the Makefile, I think it is OK. Do not worry about the USES warning.

About the other thing, I don't know of anything than prevents a mentee to commit outside of its area of expertise (docs, src, ports) provided that someone with the proper commit bit approves the patch. You can ask your mentor about it.

If you feel more comfortable letting a ports committer to do it, it is perfectly fine :-)

FYI, I build tested in {11.4,12.2}{amd64,i386} and 13-current amd64. LGTM.
Comment 4 Sean Farley freebsd_committer 2021-01-18 22:28:37 UTC
(In reply to Fernando Apesteguía from comment #3)

That is good news about the Makefile.

Actually, I was mentored long ago by wes@. I have no commit bits that I know due to having my bits placed into safe keeping.  I just wander around fixing things to create havoc for others.  :D

I would be quite pleased for a ports committer to make the commit.
Comment 5 commit-hook freebsd_committer 2021-01-20 08:01:42 UTC
A commit references this bug:

Author: fernape
Date: Wed Jan 20 08:00:43 UTC 2021
New revision: 562114
URL: https://svnweb.freebsd.org/changeset/ports/562114

Log:
  games/nwndata: Makefile improvements

  - Replace EXTRACT_DEPENDS with USES for 7z extraction.
  - Use P7ZIP_CMD instead of 7z directly.
  - Delint Makefile a bit.

  PR:	252746
  Submitted by:	scf@FreeBSD.org (maintainer)

Changes:
  head/games/nwndata/Makefile
Comment 6 Fernando Apesteguía freebsd_committer 2021-01-20 08:02:46 UTC
Committed,

Thanks!